Skip to main content
POST
/
api
/
workforces
/
{workforce_id}
/
agents
Add Workforce Agent
curl --request POST \
  --url https://api.example.com/api/workforces/{workforce_id}/agents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "assignment_instructions": "<string>",
  "source_type": "existing",
  "agent_id": 123,
  "alias": "<string>",
  "enabled": true,
  "sort_order": 123,
  "canvas_position": {}
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workforce_id
integer
required

Body

application/json
assignment_instructions
string
required
Minimum string length: 1
source_type
string
default:existing
agent_id
integer | null
alias
string | null
Maximum string length: 200
enabled
boolean
default:true
sort_order
integer | null
canvas_position
Canvas Position · object

Response

Successful Response

The response is of type Response Add Workforce Agent Api Workforces Workforce Id Agents Post · object.